package com.microservices.zone.member.domain.vo;

import com.microservices.zone.member.domain.ZoneMemberType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */

@Data
@ApiModel("会员聚合类别搜索对象")
public class ZoneMemberTypeSearchVo {
    @ApiModelProperty(value = "专区会员分类名称")
    private String name;
    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    public ZoneMemberType toZoneMemberType() {
        ZoneMemberType zoneMemberType = new ZoneMemberType();
        zoneMemberType.setZoneId(zoneId);
        zoneMemberType.setName(name);
        return zoneMemberType;
    }
}
